#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

int main()
{
    ios_base :: sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll n,x;
    cin >> n >> x;
    ll mn=LLONG_MAX,mx=LLONG_MIN;
    for (ll i=0;i<n;i++)
    {
        ll d;
        cin >> d;
        mn=min(mn,d);
        mx=max(mx,d);
    }
    ll ans;
    if (mn>=x) ans=mx-x; else
    if (mx<=x) ans=x-mn; else
        ans=mx-mn+min(x-mn,mx-x);
    cout << ans;
    return 0;
}